
QGIS Application - Bug report #268

crash identifying features (mac os x)

2006-09-14 10:03 AM - aechallu-gmail-com -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: GUI

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10327

Description

QGis crashes if one closes the identify-feature window with the close window control (red button, instead of Close) and then tries to

identify a new feature. Sequence:

1) open a shapefile or postgis layer

2) select identify feature icon'

3) click anywhere on screen

4) close the window with the red button (upper left)

5) click again anywhere on the map to identify a new feature

6) QGis crashes

Using the Close button works fine.

Crash report pasted below. Thanks!

AC

Date/Time:      2006-09-14 12:57:23.512 -0400

OS Version:     10.4.7 (Build 8J2135)

Report Version: 4

Command: qgis

Path:    /Applications/qgis.app/Contents/MacOS/qgis

Parent:  [[WindowServer]] r65

Version: 0.8.0.cvs.060729 (0.8.0.cvs.060729)

PID:    1494

Thread: 0

Exception:  EXC_BAD_ACCESS (0x0001)

Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000010

Thread 0 Crashed:

0   [[QtGui]]                   0x014aeb5e QWidget::windowType() const + 6

1   [[QtGui]]                   0x01269ab5 QWidgetPrivate::raise_sys() + 21

2   [[QtGui]]                   0x0124c4f6 QWidget::raise() + 116

3   libqgis_gui.0.dylib     0x01f0932e [[QgsMapToolIdentify]]::identifyVectorLayer(QgsVectorLayer*, [[QgsPoint]] const&) + 680

4   libqgis_gui.0.dylib     0x01f0b6ae [[QgsMapToolIdentify]]::canvasReleaseEvent(QMouseEvent*) + 202

5   libqgis_gui.0.dylib     0x01ef40db [[QgsMapCanvas]]::contentsMouseReleaseEvent(QMouseEvent*) + 33

6   Qt3Support              0x003cf3ed Q3ScrollView::viewportMouseReleaseEvent(QMouseEvent*) + 113

7   Qt3Support              0x003d29e2 Q3ScrollView::eventFilter(QObject*, QEvent*) + 496
8   [[QtGui]]                   0x01222f56 QApplicationPrivate::notify_helper(QObject*, QEvent*) + 272

9   [[QtGui]]                   0x01228ad1 QApplication::notify(QObject*, QEvent*) + 2127

10  [[QtGui]]                   0x0125da0c QApplicationPrivate::globalEventProcessor(OpaqueEventHandlerCallRef*, [[OpaqueEventRef]]*,

void*) + 7994

11  com.apple.HIToolbox     0x92f017eb [[DispatchEventToHandlers]](EventTargetRec*, [[OpaqueEventRef]]*, [[HandlerCallRec]]*) +

1093

12  com.apple.HIToolbox     0x92f00e90 [[SendEventToEventTargetInternal]](OpaqueEventRef*, [[OpaqueEventTargetRef]]*,

[[HandlerCallRec]]*) + 304

13  com.apple.HIToolbox     0x92f080f0 [[SendEventToEventTarget]] + 56

14  com.apple.HIToolbox     0x92f08589 [[ToolboxEventDispatcherHandler]](OpaqueEventHandlerCallRef*, [[OpaqueEventRef]]*, void*)

+ 1169

15  com.apple.HIToolbox     0x92f01ba2 [[DispatchEventToHandlers]](EventTargetRec*, [[OpaqueEventRef]]*, [[HandlerCallRec]]*) +

2044

16  com.apple.HIToolbox     0x92f00e90 [[SendEventToEventTargetInternal]](OpaqueEventRef*, [[OpaqueEventTargetRef]]*,

[[HandlerCallRec]]*) + 304

17  com.apple.HIToolbox     0x92f080f0 [[SendEventToEventTarget]] + 56

18  [[QtGui]]                   0x0125641e qt_mac_send_event(QFlags<QEventLoop::ProcessEventsFlag>, [[OpaqueEventRef]]*,

[[OpaqueWindowPtr]]*) + 124

19  [[QtGui]]                   0x01262053 QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 613

20  [[QtCore]]                  0x010743a5 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 55

21  [[QtCore]]                  0x010745ee QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 146

22  [[QtCore]]                  0x010779a1 QCoreApplication::exec() + 179

23  org.qgis.qgis           0x0000537d main + 5881 (crt.c:305)

24  org.qgis.qgis           0x00002ce2 _start + 228 (crt.c:272)

25  org.qgis.qgis           0x00002bfd start + 41

Thread 0 crashed with i386 Thread State:

eax: 0x00000000    ebx: 0x0124c490 ecx:0x10f7f8e0 edx: 0x10f9b0d0

edi: 0xbfffeadc    esi: 0x00000000 ebp:0xbfffe798 esp: 0xbfffe798

 ss: 0x0000002f    efl: 0x00010286 eip:0x014aeb5e  cs: 0x00000027

 ds: 0x0000002f     es: 0x0000002f  fs:0x00000000  gs: 0x00000037

Binary Images Description:

    0x1000 -     0x7fff org.qgis.qgis 0.8.0.cvs.060729    /Applications/qgis.app/Contents/MacOS/qgis

    0xd000 -     0xdfff net.refractions.geos 2.2.3 (GEOS 2.2.3-6)    /Library/Frameworks/GEOS.framework/GEOS

   0x11000 -    0x11fff com.kyngchaos.UnixImageIO 1.0.3 (UnixImageIO 1.0.3)   

/Library/Frameworks/UnixImageIO.framework/UnixImageIO

   0x6a000 -    0xa1fff [[QtNetwork]]     /Applications/qgis.app/Contents/MacOS/lib/QtNetwork.framework/Versions/4.0/QtNetwork

   0xd4000 -    0xe8fff libpq.4.dylib     /Applications/qgis.app/Contents/MacOS/lib/libpq.4.dylib

   0xf1000 -    0xf5fff libgif.dylib     /Library/Frameworks/UnixImageIO.framework/Versions/Current/Libraries/libgif.dylib

  0x33e000 -   0x509fff Qt3Support     /Applications/qgis.app/Contents/MacOS/lib/Qt3Support.framework/Versions/4.0/Qt3Support

  0x67c000 -   0x6a8fff [[QtXml]]     /Applications/qgis.app/Contents/MacOS/lib/QtXml.framework/Versions/4.0/QtXml

  0x6d4000 -   0x6fcfff [[QtSvg]]     /Applications/qgis.app/Contents/MacOS/lib/QtSvg.framework/Versions/4.0/QtSvg

  0x724000 -   0x74cfff libqgis_raster.0.dylib     /Applications/qgis.app/Contents/MacOS/lib/libqgis_raster.0.dylib

  0x760000 -   0x77dfff libqgis_legend.0.dylib     /Applications/qgis.app/Contents/MacOS/lib/libqgis_legend.0.dylib

  0x796000 -   0x7c3fff org.maptools.proj 4.5.0 (PROJ 4.5.0b2-1)    /Library/Frameworks/PROJ.framework/PROJ

  0x7d3000 -   0x7defff libqgsprojectionselector.dylib     /Applications/qgis.app/Contents/MacOS/lib/qgis/libqgsprojectionselector.dylib

  0x7e9000 -   0x7f4fff libsz.2.dylib     /Library/Frameworks/GDAL.framework/Libraries/libsz.2.dylib

 0x1008000 -  0x1169fff [[QtCore]]     /Applications/qgis.app/Contents/MacOS/lib/QtCore.framework/Versions/4.0/QtCore

 0x121b000 -  0x1588fff [[QtGui]]     /Applications/qgis.app/Contents/MacOS/lib/QtGui.framework/Versions/4.0/QtGui

 0x17f9000 -  0x1ba6fff org.gdal.gdal 1.3.2 (GDAL 1.3.2-5)    /Library/Frameworks/GDAL.framework/GDAL

 0x1e05000 -  0x1e4cfff libqgis_composer.0.dylib     /Applications/qgis.app/Contents/MacOS/lib/libqgis_composer.0.dylib

 0x1e7a000 -  0x204afff libqgis_gui.0.dylib     /Applications/qgis.app/Contents/MacOS/lib/libqgis_gui.0.dylib

2025-05-18 2/7



 0x2136000 -  0x217dfff libqgis_core.0.dylib     /Applications/qgis.app/Contents/MacOS/lib/libqgis_core.0.dylib

 0x21b5000 -  0x21c2fff libQtTest.4.dylib     /Applications/qgis.app/Contents/MacOS/lib/libQtTest.4.dylib

 0x21cd000 -  0x22a0fff libQtDesigner.4.dylib     /Applications/qgis.app/Contents/MacOS/lib/libQtDesigner.4.dylib

 0x2394000 -  0x23dbfff org.sqlite.sqlite3 3.3.6 (SQLite3 3.3.6-1)    /Library/Frameworks/SQLite3.framework/SQLite3

 0x23ea000 -  0x247cfff [[QtSql]]     /Applications/qgis.app/Contents/MacOS/lib/QtSql.framework/Versions/4.0/QtSql

 0x24e3000 -  0x24fefff libjpeg.dylib     /Library/Frameworks/UnixImageIO.framework/Versions/Current/Libraries/libjpeg.dylib

 0x2506000 -  0x25acfff libXpm.dylib     /Library/Frameworks/UnixImageIO.framework/Versions/Current/Libraries/libXpm.dylib

 0x25cd000 -  0x25e9fff libpng.dylib     /Library/Frameworks/UnixImageIO.framework/Versions/Current/Libraries/libpng.dylib

 0x25f1000 -  0x2638fff libjasper.dylib     /Library/Frameworks/UnixImageIO.framework/Versions/Current/Libraries/libjasper.dylib

 0x264a000 -  0x2696fff libtiff.dylib     /Library/Frameworks/UnixImageIO.framework/Versions/Current/Libraries/libtiff.dylib

 0x26a2000 -  0x28bbfff Xerces     /Library/Frameworks/Xerces.framework/Versions/A/Xerces

 0x2b03000 -  0x2c25fff libhdf5.0.dylib     /Library/Frameworks/GDAL.framework/Libraries/libhdf5.0.dylib

 0x2c4c000 -  0x2c7cfff libogdi31.dylib     /Library/Frameworks/GDAL.framework/Libraries/libogdi31.dylib

 0x2c8b000 -  0x2ca0fff libgeotiff.dylib     /Library/Frameworks/GDAL.framework/Libraries/libgeotiff.dylib

 0x2cae000 -  0x2cd0fff libnetcdf.dylib     /Library/Frameworks/GDAL.framework/Libraries/libnetcdf.dylib

 0x2cda000 -  0x2dc3fff libcfitsio.dylib     /Library/Frameworks/GDAL.framework/Libraries/libcfitsio.dylib

 0x2e4b000 -  0x2ef4fff libdap.4.dylib     /Library/Frameworks/GDAL.framework/Libraries/libdap.4.dylib

 0x2f5c000 -  0x2f87fff libcurl.3.dylib     /Library/Frameworks/GDAL.framework/Libraries/libcurl.3.dylib

 0x2f92000 -  0x3025fff libgeos.dylib     /Library/Frameworks/GEOS.framework/Libraries/libgeos.dylib

 0x30d2000 -  0x30dafff libgeosc.dylib     /Library/Frameworks/GEOS.framework/Libraries/libgeosc.dylib

 0xfca4000 -  0xfca4fff libgrass_linkm.dylib     /Library/Frameworks/GDAL.framework/Versions/Current/grass/lib/libgrass_linkm.dylib

 0xfcb5000 -  0xfcb7fff libgrass_vask.dylib     /Library/Frameworks/GDAL.framework/Versions/Current/grass/lib/libgrass_vask.dylib

 0xfde0000 -  0xfde6fff ogr_GRASS.dylib     /Library/Frameworks/GDAL.framework/PlugIns/ogr_GRASS.dylib

 0xfded000 -  0xfdf0fff libgrass_gmath.dylib     /Library/Frameworks/GDAL.framework/Versions/Current/grass/lib/libgrass_gmath.dylib

 0xfdf4000 -  0xfdf7fff libgrass_rtree.dylib     /Library/Frameworks/GDAL.framework/Versions/Current/grass/lib/libgrass_rtree.dylib

0x102a5000 - 0x102a9fff libgrass_datetime.dylib    

/Library/Frameworks/GDAL.framework/Versions/Current/grass/lib/libgrass_datetime.dylib

0x10486000 - 0x10491fff libgrass_I.dylib     /Library/Frameworks/GDAL.framework/Versions/Current/grass/lib/libgrass_I.dylib

0x10498000 - 0x104d1fff libgrass_gis.dylib     /Library/Frameworks/GDAL.framework/Versions/Current/grass/lib/libgrass_gis.dylib

0x10539000 - 0x1053efff libgrass_gproj.dylib     /Library/Frameworks/GDAL.framework/Versions/Current/grass/lib/libgrass_gproj.dylib

0x10543000 - 0x10569fff libgrass_vect.dylib     /Library/Frameworks/GDAL.framework/Versions/Current/grass/lib/libgrass_vect.dylib

0x10575000 - 0x1057bfff libgrass_dbmibase.dylib    

/Library/Frameworks/GDAL.framework/Versions/Current/grass/lib/libgrass_dbmibase.dylib

0x10583000 - 0x10587fff libgrass_dbmiclient.dylib    

/Library/Frameworks/GDAL.framework/Versions/Current/grass/lib/libgrass_dbmiclient.dylib

0x1058d000 - 0x105b4fff libncurses.5.dylib     /usr/lib/libncurses.5.dylib

0x105cf000 - 0x105dbfff libgrass_dig2.dylib     /Library/Frameworks/GDAL.framework/Versions/Current/grass/lib/libgrass_dig2.dylib

0x105e1000 - 0x105effff libgrass_dgl.dylib     /Library/Frameworks/GDAL.framework/Versions/Current/grass/lib/libgrass_dgl.dylib

0x10607000 - 0x1062bfff copyrightlabelplugin.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/copyrightlabelplugin.so

0x10635000 - 0x10668fff delimitedtextplugin.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/delimitedtextplugin.so

0x10673000 - 0x10680fff delimitedtextprovider.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/delimitedtextprovider.so

0x1068a000 - 0x106a5fff georefplugin.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/georefplugin.so

0x106b8000 - 0x107fbfff libgsl.0.dylib     /Applications/qgis.app/Contents/MacOS/lib/libgsl.0.dylib

0x1084d000 - 0x1087dfff libgslcblas.0.dylib     /Applications/qgis.app/Contents/MacOS/lib/libgslcblas.0.dylib

0x10884000 - 0x1090efff gpsimporterplugin.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/gpsimporterplugin.so

0x10925000 - 0x10959fff gpxprovider.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/gpxprovider.so

0x10970000 - 0x10a8ffff grassplugin.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/grassplugin.so

0x10b05000 - 0x10b25fff libqgisgrass.0.dylib     /Applications/qgis.app/Contents/MacOS/lib/libqgisgrass.0.dylib

0x10b39000 - 0x10b3efff libgrass_shape.dylib     /Library/Frameworks/GDAL.framework/Versions/Current/grass/lib/libgrass_shape.dylib

0x10b42000 - 0x10b43fff libgrass_form.dylib     /Library/Frameworks/GDAL.framework/Versions/Current/grass/lib/libgrass_form.dylib

0x10b47000 - 0x10b48fff grassprovider.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/grassprovider.so

0x10b4c000 - 0x10b70fff gridmakerplugin.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/gridmakerplugin.so

0x10b7c000 - 0x10ba9fff libScaleBarplugin.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/libScaleBarplugin.so
0x10bb5000 - 0x10bdcfff northarrowplugin.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/northarrowplugin.so

0x10be8000 - 0x10bf5fff ogrprovider.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/ogrprovider.so

0x10c00000 - 0x10c10fff pggeoprocessingplugin.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/pggeoprocessingplugin.so

0x10c1c000 - 0x10c4cfff postgresprovider.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/postgresprovider.so

0x10c63000 - 0x10cb3fff spitplugin.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/spitplugin.so

0x10cce000 - 0x10cfbfff wmsprovider.so     /Applications/qgis.app/Contents/MacOS/lib/qgis/wmsprovider.so

0x10eb7000 - 0x10ebbfff gdal_GRASS.dylib     /Library/Frameworks/GDAL.framework/PlugIns/gdal_GRASS.dylib

0x10ec1000 - 0x10ec4fff gdal_JPEG2000.dylib     /Library/Frameworks/GDAL.framework/PlugIns/gdal_JPEG2000.dylib

0x8fe00000 - 0x8fe4cfff dyld 45.3    /usr/lib/dyld

0x90000000 - 0x9016efff libSystem.B.dylib     /usr/lib/libSystem.B.dylib

0x901be000 - 0x901c0fff libmathCommon.A.dylib     /usr/lib/system/libmathCommon.A.dylib

0x901c2000 - 0x901fefff com.apple.CoreText 1.1.1 (?)   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText

0x90225000 - 0x902fafff ATS    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS

0x9031a000 - 0x9076afff com.apple.CoreGraphics 1.258.33 (?)   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics

s

0x90801000 - 0x908c9fff com.apple.CoreFoundation 6.4.6 (368.27)   

/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation

0x90907000 - 0x90907fff com.apple.CoreServices 10.4 (?)   

/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices

0x90909000 - 0x909fcfff libicucore.A.dylib     /usr/lib/libicucore.A.dylib

0x90a4c000 - 0x90acbfff libobjc.A.dylib     /usr/lib/libobjc.A.dylib

0x90af4000 - 0x90b57fff libstdc++.6.dylib     /usr/lib/libstdc++.6.dylib

0x90bc6000 - 0x90bcdfff libgcc_s.1.dylib     /usr/lib/libgcc_s.1.dylib

0x90bd2000 - 0x90c42fff com.apple.framework.IOKit 1.4.4 (?)    /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit

0x90c57000 - 0x90c69fff libauto.dylib     /usr/lib/libauto.dylib

0x90c6f000 - 0x90f14fff com.apple.CoreServices.CarbonCore 682.12   

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore

0x90f57000 - 0x90fbffff com.apple.CoreServices.OSServices 4.1   

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices

0x90ff7000 - 0x91035fff com.apple.CFNetwork 129.16   

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork

0x91047000 - 0x91057fff com.apple.WebServices 1.1.3 (1.1.0)   

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore

ore

0x91062000 - 0x910e0fff com.apple.SearchKit 1.0.5   

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit

0x91115000 - 0x91133fff com.apple.Metadata 10.4.4 (121.36)   

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata

0x9113f000 - 0x9114dfff libz.1.dylib     /usr/lib/libz.1.dylib

0x91150000 - 0x91306fff com.apple.security 4.4.1 (27569)    /System/Library/Frameworks/Security.framework/Versions/A/Security

0x913f5000 - 0x913fdfff com.apple.DiskArbitration 2.1   

/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration

0x91404000 - 0x9142afff com.apple.SystemConfiguration 1.8.6   

/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration

0x9143c000 - 0x91443fff libbsm.dylib     /usr/lib/libbsm.dylib

0x91447000 - 0x914c0fff com.apple.audio.CoreAudio 3.0.4    /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio

0x9150e000 - 0x9150efff com.apple.ApplicationServices 10.4 (?)   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices

0x91510000 - 0x9153bfff com.apple.AE 314 (313)   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x9154e000 - 0x91622fff com.apple.ColorSync 4.4.6   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync

0x9165b000 - 0x916d8fff com.apple.print.framework.PrintCore 4.6 (177.13)   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore

0x91705000 - 0x917affff com.apple.QD 3.10.20 (?)   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD

0x917d5000 - 0x91820fff com.apple.HIServices 1.5.2 (?)   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices

0x9183f000 - 0x91855fff com.apple.LangAnalysis 1.6.3   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis

0x91861000 - 0x9187bfff com.apple.FindByContent 1.5   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent

ent

0x91885000 - 0x918c2fff com.apple.LaunchServices 181   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices

vices

0x918d6000 - 0x918e1fff com.apple.speech.synthesis.framework 3.4   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis

ynthesis

0x918e8000 - 0x91920fff com.apple.ImageIO.framework 1.4.8   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO

0x91932000 - 0x919e4fff libcrypto.0.9.7.dylib     /usr/lib/libcrypto.0.9.7.dylib

0x91a2a000 - 0x91a40fff libcups.2.dylib     /usr/lib/libcups.2.dylib

0x91a45000 - 0x91a61fff libJPEG.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib

G.dylib

0x91a66000 - 0x91ac4fff libJP2.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib

dylib

0x91ad4000 - 0x91ad8fff libGIF.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib

dylib

0x91ada000 - 0x91b35fff libRaw.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRaw.dylib

.dylib

0x91b39000 - 0x91b76fff libTIFF.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib

.dylib

0x91b7c000 - 0x91b96fff libPng.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib

dylib

0x91b9b000 - 0x91b9dfff libRadiance.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib

iance.dylib

0x91b9f000 - 0x91b9ffff com.apple.Accelerate 1.2.2 (Accelerate 1.2.2)   

/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate

0x91ba1000 - 0x91c2bfff com.apple.vImage 2.4   

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage

0x91c32000 - 0x91c32fff com.apple.Accelerate.vecLib 3.2.2 (vecLib 3.2.2)   

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib

0x91c34000 - 0x91c79fff libvMisc.dylib    

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib

0x91c81000 - 0x91ca6fff libvDSP.dylib    
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib

0x91cad000 - 0x92230fff libBLAS.dylib    

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib

0x9226d000 - 0x9261ffff libLAPACK.dylib    

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib

0x9264c000 - 0x926d0fff com.apple.DesktopServices 1.3.4   

/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv

0x9270c000 - 0x9293efff com.apple.Foundation 6.4.6 (567.27)   

/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation

0x92a4a000 - 0x92b28fff libxml2.2.dylib     /usr/lib/libxml2.2.dylib

0x92b45000 - 0x92c32fff libiconv.2.dylib     /usr/lib/libiconv.2.dylib

0x92c42000 - 0x92c59fff libGL.dylib     /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib

0x92c64000 - 0x92cbbfff libGLU.dylib     /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib

0x92ccf000 - 0x92ccffff com.apple.Carbon 10.4 (?)    /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon

0x92cd1000 - 0x92ce1fff com.apple.ImageCapture 3.0.4   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture

0x92cef000 - 0x92cf7fff com.apple.speech.recognition.framework 3.5   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition

0x92cfd000 - 0x92d02fff com.apple.securityhi 2.0.1 (24742)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI

0x92d08000 - 0x92d99fff com.apple.ink.framework 101.2.1 (71)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink

0x92dad000 - 0x92db0fff com.apple.help 1.0.3 (32.1)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help

0x92db3000 - 0x92dd0fff com.apple.openscripting 1.2.5 (?)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting

0x92de0000 - 0x92de6fff com.apple.print.framework.Print 5.2 (192.4)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print

0x92dec000 - 0x92e4ffff com.apple.htmlrendering 66.1 (1.1.3)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering

0x92e73000 - 0x92eb4fff com.apple.NavigationServices 3.4.4 (3.4.3)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices

0x92edb000 - 0x92ee8fff com.apple.audio.SoundManager 3.9.1   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound

0x92eef000 - 0x92ef4fff com.apple.CommonPanels 1.2.3 (73)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels

0x92ef9000 - 0x931ebfff com.apple.HIToolbox 1.4.8 (?)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox

0x932f0000 - 0x932fbfff com.apple.opengl 1.4.10    /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL

0x93e59000 - 0x93f1afff com.apple.audio.toolbox.AudioToolbox 1.4.3   

/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox

0x93f5a000 - 0x93f5afff com.apple.audio.units.AudioUnit 1.4.2   

/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit

0x94356000 - 0x94365fff libCGATS.A.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib

CGATS.A.dylib

0x9436c000 - 0x94377fff libCSync.A.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib

CSync.A.dylib

0x943c3000 - 0x943ddfff libRIP.A.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib

RIP.A.dylib

0x943e3000 - 0x9469afff com.apple.QuickTime 7.1.2    /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x94a28000 - 0x94a4cfff libssl.0.9.7.dylib     /usr/lib/libssl.0.9.7.dylib

0x94a58000 - 0x94a75fff libresolv.9.dylib     /usr/lib/libresolv.9.dylib

0x94c21000 - 0x94cf9fff edu.mit.Kerberos 5.5.23    /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos

0x95a55000 - 0x95a5efff libpam.1.dylib     /usr/lib/libpam.1.dylib

0x95b15000 - 0x95b2bfff libJapaneseConverter.dylib     /System/Library/CoreServices/Encodings/libJapaneseConverter.dylib

0x95b2d000 - 0x95b4efff libKoreanConverter.dylib     /System/Library/CoreServices/Encodings/libKoreanConverter.dylib

0x95b5b000 - 0x95b69fff libSimplifiedChineseConverter.dylib    

/System/Library/CoreServices/Encodings/libSimplifiedChineseConverter.dylib

0x95b71000 - 0x95b83fff libTraditionalChineseConverter.dylib    

/System/Library/CoreServices/Encodings/libTraditionalChineseConverter.dylib

0x96b6c000 - 0x96b71fff com.apple.agl 2.5.9 (AGL-2.5.9)    /System/Library/Frameworks/AGL.framework/Versions/A/AGL

0x972c9000 - 0x97307fff libiodbc.2.dylib     /usr/lib/libiodbc.2.dylib

0x97314000 - 0x9731dfff libiodbcinst.2.dylib     /usr/lib/libiodbcinst.2.dylib

History

#1 - 2006-10-12 04:36 AM - Redmine Admin

Can't reproduce this on Windows neither Linux. It's probably Mac issue only.

#2 - 2006-10-21 06:39 PM - Gavin Macaulay -

Try preview 3 when it's released. A recent changes may have fixed this (commit:c1b91990 (SVN r5993)).

#3 - 2006-10-22 09:31 AM - Gary Sherman

- Resolution set to fixed

- Status changed from Open to Closed

Tested and confirmed fixed on OS X.

#4 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
